{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/Prometheus/21South/1.0.2"},{"description":"development","url":"https://esbo.prometheus.nl/apex/devapx19/DEV/"},{"description":"test","url":"https://esbt.prometheus.nl/apex/apxtst19/VGO/"}],"info":{"description":"OTM5 profile for 21South messages","version":"1.0.2","title":"21South OTM API","contact":{"email":"sdmc@prometheus.nl"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"paths":{"/message/in":{"post":{"operationId":"postMessage","requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/LogOnLogOff"},{"$ref":"#/components/schemas/Route"},{"$ref":"#/components/schemas/Order"}]}}}},"responses":{"200":{"description":"message received and stored"},"400":{"description":"bad input parameter"},"404":{"description":"not authorised"},"409":{"description":"conflict"}}}}},"components":{"schemas":{"ID":{"type":"string","format":"uuid","description":"Uniquely identifies this entity.\n","example":"00000000-0000-0000-0000-000000000000"},"Crew":{"description":"Crew member, identified by personeelsnummer","type":"object","required":["associationType","restriction"],"properties":{"associationType":{"type":"string","enum":["attributeRestriction"]},"restriction":{"type":"object","required":["externalAttributes","entityType"],"properties":{"externalAttributes":{"type":"array","items":{"type":"object","required":["personeelsnummer"],"properties":{"personeelsnummer":{"type":"string"}}}},"entityType":{"type":"string","enum":["actor"]},"description":{"type":"string"}}}}},"Vehicle":{"description":"Vehicle, identified by mobile-id","type":"object","required":["associationType","restriction"],"properties":{"associationType":{"type":"string","enum":["attributeRestriction"]},"restriction":{"type":"object","required":["externalAttributes","entityType"],"properties":{"externalAttributes":{"type":"array","items":{"type":"object","required":["mobile-id"],"properties":{"mobile-id":{"type":"string"}}}},"entityType":{"type":"string","enum":["vehicle"]}}}}},"LogOnLogOff":{"type":"object","required":["eventType","name","lifecycle","entity1","entity2"],"properties":{"eventType":{"type":"string","enum":["associationCreatedEvent","associationRemovedEvent"]},"name":{"type":"string","enum":["assign-driver","driver-change","unassign-driver","assign-crew","unassign-crew"]},"lifecycle":{"type":"string","enum":["requested","actual","rejected"]},"entity1":{"$ref":"#/components/schemas/Crew"},"entity2":{"$ref":"#/components/schemas/Vehicle"},"remark":{"type":"string"}}},"Action":{"type":"object","required":["actionType","consignment"],"properties":{"id":{"$ref":"#/components/schemas/ID"},"entityType":{"type":"string","enum":["action"]},"actionType":{"type":"string","enum":["load","unload"]},"consignment":{"type":"object","required":["type","goods"],"properties":{"id":{"$ref":"#/components/schemas/ID"},"entityType":{"type":"string","enum":["consignment"]},"type":{"type":"string","enum":["inzamelgebied","cluster","burgermelding","containermutatie","werkopdracht","route"]},"goods":{"type":"array","items":{"type":"object","required":["type","productType"],"properties":{"type":{"type":"string","enum":["items"]},"productType":{"type":"string","description":"Fractie"},"packagingMaterial":{"type":"string","description":"Aanbiedwijze (zak, minicontainer,....)"},"description":{"type":"string"},"quantity":{"type":"integer","description":"Aantal"}}}}}},"startTime":{"type":"string","format":"date-time","example":"2021-06-30T12:00:00"},"endTime":{"type":"string","format":"date-time","example":"2021-06-30T12:30:00"},"lifecycle":{"type":"string","enum":["projected","actual","realized","canceled"]},"remark":{"type":"string"},"externalAttributes":{"type":"object","properties":{"cancel-reason":{"type":"string"},"wasteFlowNr":{"type":"string","description":"AfvalstroomNummer nummer"},"planNr":{"type":"string","description":"PlanningNummer"},"contact":{"type":"string","description":"Contactpersoon naam"},"contactPhone":{"type":"string","description":"Contactpersoon telefoonummer"},"cashPayment":{"type":"string","description":"Contant betalen? True/False"},"guidedRouteCode":{"type":"string"},"guidedRouteVersion":{"type":"string"},"whitelistCode":{"type":"string"},"whitelistVersion":{"type":"string"}}}}},"Order":{"type":"object","required":["id","actionType","lifecycle"],"properties":{"id":{"$ref":"#/components/schemas/ID"},"entityType":{"type":"string","enum":["action"]},"actionType":{"type":"string","enum":["stop"]},"sequenceNr":{"type":"number","description":"the sequenceNr is used to sort the orders in a route"},"name":{"type":"string","description":"Name of this order, will be shown to the driver"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/Action"}},"location":{"type":"object","required":["name","geoReference"],"properties":{"name":{"type":"string"},"geoReference":{"type":"object","required":["type","lat","lon"],"properties":{"type":{"type":"string","enum":["latLonPointGeoReference"]},"lat":{"type":"number"},"lon":{"type":"number"}}},"remark":{"type":"string"}}},"startTime":{"type":"string","format":"date-time","example":"2021-06-30T12:00:00"},"endTime":{"type":"string","format":"date-time","example":"2021-06-30T12:30:00"},"lifecycle":{"type":"string","enum":["projected","actual","realized","canceled"]},"externalAttributes":{"type":"object","properties":{"cancel-reason":{"type":"string"}}},"remark":{"type":"string"}}},"Route":{"type":"object","required":["id","entityType","status"],"properties":{"id":{"$ref":"#/components/schemas/ID"},"entityType":{"type":"string","enum":["trip"]},"name":{"type":"string","description":"Name of this route, will be shown to the driver"},"lastModified":{"type":"string","format":"date-time","example":"2021-06-30T12:00:00"},"status":{"type":"string","enum":["confirmed","inTransit","completed"]},"vehicle":{"$ref":"#/components/schemas/Vehicle"},"externalAttributes":{"type":"object","required":["routecode"],"properties":{"routecode":{"type":"string"},"wasteFlowNr":{"type":"string"},"planNr":{"type":"string"}}},"remark":{"type":"string"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/Order"}}}}},"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY"}}},"security":[{"ApiKeyAuth":[]}]}